Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# PerlIO::via::QuotedPrint

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# PerlIO::via::QuotedPrint

- NAME
- SYNOPSIS
- DESCRIPTION
- REQUIRED MODULES
- SEE ALSO
- ACKNOWLEDGEMENTS
- COPYRIGHT

# NAME

PerlIO::via::QuotedPrint - PerlIO layer for quoted-printable strings

# SYNOPSIS

     use PerlIO::via::QuotedPrint; open( my $in,'<:via(QuotedPrint)','file.qp' )  or die "Can't open file.qp for reading: $!\n";  open( my $out,'>:via(QuotedPrint)','file.qp' )  or die "Can't open file.qp for writing: $!\n";

# DESCRIPTION

This module implements a PerlIO layer that works on files encoded in the quoted-printable format. It will decode from quoted-printable while reading from a handle, and it will encode as quoted-printable while writing to a handle.

# REQUIRED MODULES

     MIME::QuotedPrint (any)

# SEE ALSO

PerlIO::via, MIME::QuotedPrint, PerlIO::via::Base64, PerlIO::via::MD5, PerlIO::via::StripHTML, PerlIO::via::Rotate.

# ACKNOWLEDGEMENTS

Based on example that was initially added to MIME::QuotedPrint.pm for the 5.8.0 distribution of Perl.

# COPYRIGHT

Copyright (c) 2002-2003 Elizabeth Mattijsen. All rights reserved. This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- REQUIRED MODULES
- SEE ALSO
- ACKNOWLEDGEMENTS
- COPYRIGHT